SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000652: OpenVPN can't forward packets to be bridged from GREEN to tap1 interface via br0 - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000652Endian FirewallNetwork related (VPN, uplinks)public2008-04-03 14:242008-04-23 17:41
Reporterpapoux_gallant 
Assigned Topeter-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta3 
Target VersionFixed in Version2.2-beta4 
Summary0000652: OpenVPN can't forward packets to be bridged from GREEN to tap1 interface via br0
DescriptionDear EFW support team,

I'm currently trying the new Endian Firewall Community Edition beta3.
I'm pleased with the new features and the new functionalities.

I found an issue with OpenVPN server.
It seems that remote clients can send packets out on the green interface.
But, for example, an ECHO REPLY that is received by EFW on the green interface is not forwarded on the tap1 interface.

I noticed that there are new ebtables rules in this release of EFW compared to EFW 2.1. I'm not quite familiar with ebtables, therefore I'm not very helpful in debugging the problem.

Still, I found that when pinging from the EFW machine itself is working on both systems: i.e. from EFW I can ping the machine connected on the GREEN interface and I can ping the machine remotely connected via OpenVPN.

Best regards,

Paul Gallant
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000972)
papoux_gallant (reporter)
2008-04-03 14:38

Interesting:
When using the option "Direct all client traffic through the VPN server:".
I still cannot reach my systems located on the GREEN interface.
But my packets are properly routed out on the Internet.

- Issue History
Date Modified Username Field Change
2008-04-03 14:24 papoux_gallant New Issue
2008-04-03 14:24 papoux_gallant Status new => assigned
2008-04-03 14:24 papoux_gallant Assigned To => peter-endian
2008-04-03 14:38 papoux_gallant Note Added: 0000972
2008-04-22 10:18 ra-endian Status assigned => resolved
2008-04-22 10:18 ra-endian Fixed in Version => 2.2-beta4
2008-04-22 10:18 ra-endian Resolution open => fixed
2008-04-23 17:41 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker